VB 2010 application as a standalone error

Asked By 0 points N/A Posted on -
qa-featured

Hello,

I don’t know I have this error because I have the latest version of Microsoft .NET installed on my laptop and also my Windows is up to date. Should I try to reinstall Microsoft .NET Framework again ? Is there a problem caused by the updates of Windows ?

Thank you !

Microsoft .NET Framework

Unhandled exception has occurred in your application.If you click

Continue, the application will ignore this error and attempt to continue.

If you click Qit, the application will close immediately.

The ‘Microsoft.ACE.OLEDB.12.0” provider is not registered on the local machine.

SHARE
Best Answer by RubyIslam3
Best Answer
Best Answer
Answered By 70 points N/A #179889

VB 2010 application as a standalone error

qa-featured

Hello,

The problem of you seems like horrible but it isn’t. Most definitely, you’re running x64 applications and so having this issue. Here’s how you’ll fix all these.

Download and install Microsoft Access Database Engine 2010 Redistributable. See if it works.

If it doesn’t, then deploy “2007 Office System Driver: Data Connectivity Components”.

After installing both packages, hope no more trouble. This will definitely enable you work with your MS Access and Visual Studio perfectly.

Answered By 558910 points N/A #179890

VB 2010 application as a standalone error

qa-featured

I think you need to reinstall Microsoft .NET Framework because the error is mentioning a component that is not registered to the local computer. Uninstall Microsoft .NET Framework then restart the computer when you are required to. Next, click Start, All Programs, Accessories, System Tools then select Disk Cleanup. Select drive C then click OK. Check “Temporary files” and “Setup Log Files” then click OK and then click Delete Files.

Restart the computer again then install Microsoft .NET Framework back. See if it works. If the application that uses Microsoft .NET Framework is not dependent on a specific version, it is good to update to the latest version. Download Microsoft .NET Framework 4.5.1. It requires Windows Vista Service Pack 2, Windows 7 Service Pack 1, Windows 8, and Windows 8.1 both x86 and x64.

If you have a problem with the web installer above, download the offline installer or the standalone installer from Microsoft .NET Framework 4.5.1 [Offline Installer].

Login/Register to Answer

Related Questions